Account
Get my authentication details
GET
/api/meReturns the current authentication context, including the authenticated user or share credentials.
Try it
Headers
| Name | Type | Description |
|---|---|---|
| Authorizationrequired | string | Token returned by POST /api/auth/login, or an API key (`umami_…`) created under Settings → API keys (self-hosted only). Bearer <token>. |
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| apiKey | object | API key authentication details. |
| authType | anyOf | |
| shareToken | object | |
| user | object | User associated with the resource. |
200 example
401Unauthorized.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
401 example
Code samples
cURL